function ExecuteScript(strId)
{
  switch (strId)
  {
      case "5dFxpJ8At36":
        Script1();
        break;
      case "5yFo5CzpAFc":
        Script2();
        break;
      case "6Nle1ntbdt7":
        Script3();
        break;
      case "5WLJB3XK2Em":
        Script4();
        break;
  }
}

function Script1()
{
  var player = GetPlayer();

var str = player.GetVar("TextEntry11");
var a = str.search("polychroma");

if(a >= 0){
player.SetVar("TextEntry12", "CORRECT");
}else{
player.SetVar("TextEntry11", str);
}
}

function Script2()
{
  var player = GetPlayer();

var str = player.GetVar("TextEntry13");
var a = str.search("heinz");

if(a >= 0){
player.SetVar("TextEntry14", "CORRECT");
}else{
player.SetVar("TextEntry13", str);
}
}

function Script3()
{
  var player = GetPlayer();

var str = player.GetVar("TextEntry15");
var a = str.search("haemolysis");
var b = str.search("hemolysis");
var c = str.search("heinz");
var d = str.search("lipaemia");
var e = str.search("lipemia");

if (((a >= 0) || (b >= 0)) && (c >= 0) && ((d >= 0) || (e >= 0))){
player.SetVar("TextEntry16", "CORRECT");
}else{
player.SetVar("TextEntry15", str);
}

}

function Script4()
{
  var player = GetPlayer();

var str = player.GetVar("TextEntry17");
var a = str.search("macroplatelet");
var b = str.search("giant platelet");
var c = str.search("large platelet");
var d = str.search("clump");
var e = str.search("platelet");
var f = str.search("microcytosis");

if(a >= 0){
player.SetVar("TextEntry18", "CORRECT");
}else if(b >= 0){
player.SetVar("TextEntry18", "CORRECT");
}else if(c >= 0){
player.SetVar("TextEntry18", "CORRECT");
}else if(d >= 0){
player.SetVar("TextEntry18", "CORRECT");
}else if(e >= 0){
player.SetVar("TextEntry18", "CORRECT");
}else if(f >= 0){
player.SetVar("TextEntry18", "CORRECT");
}else{
player.SetVar("TextEntry17", str);
}
}

